20201014.0

cognitix Threat Defender version 20201014.0 rolls out a number of new features and improvements. Find out what’s new below.

Update Compatibility

The following versions are compatible with cognitix Threat Defender version 20201014.0:

New Features and Improvements

Installer Improvements

  • There is a new option to select the target drive for the installation.

  • There is a new option to select EN, DE, or FR keyboard layout.

  • cognitix Threat Defender now supports fully qualified domain names as hostname and for SSL certificates.

  • In the installer wizard, you can specify whether you want to automatically reboot or shut down the Threat Defender appliance when the installation is complete.

  • The installer wizard now complies with the new corporate design guidelines.

IDS/IPS Improvements

  • The intelligence database shows additional information for IPS rules under Threats > Intelligence Database > IPS Rules.

  • The IDS engine now supports over 500 additional rules for HTTP.

Networking

The MAC table now shows VLAN tags for port extenders.

User Interface

The GUI was further adapted to the new corporate design, i.e. colors and icons changed.

Fixed Issues

  • We fixed an issue that could cause classification errors with SSH connections.

  • We fixed the internal CA for the generation of UI SSL certificates so that Threat Defender no longer causes TLS warnings in the browser.

  • The update timestamp for assets is now only changed when the asset configuration changes.

  • We fixed an API migration issue so that the audit log now contains all available asset log information again.

Known Issue

After installing an update, it may be necessary to manually reload the browser page to confirm the certificate warning of the browser.

Limitations and Dependencies

  • The RAM capacity is currently limited by DPDK which can only address a maximum of 512 GB of RAM. Using considerably larger amounts of RAM may cause problems.

Upgrade Instructions and Requirements

For information on the hardware requirements needed to install this release version, see System Requirements.

For instructions on how to install the new version, see Updating cognitix Threat Defender.